com.tibbo.aggregate.common.action.command

## Class EditProperties

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.EditProperties

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class EditProperties
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_ADDITIONAL_ACTIONS`
    `static java.lang.String` | `CF_ADDITIONAL_ACTIONS_ACTION`
    `static java.lang.String` | `CF_ADDITIONAL_ACTIONS_ACTION_NAME`
    `static java.lang.String` | `CF_ADDITIONAL_ACTIONS_DESCRIPTION`
    `static java.lang.String` | `CF_ADDITIONAL_ACTIONS_ICON`
    `static java.lang.String` | `CF_ADDITIONAL_ACTIONS_VARIABLE_NAME`
    `static java.lang.String` | `CF_ASYNC`
    `static java.lang.String` | `CF_CONTEXT`
    `static java.lang.String` | `CF_DASHBOARD`
    `static java.lang.String` | `CF_DASHBOARDS_HIERARCHY_INFO`
    `static java.lang.String` | `CF_DEFAULT_GROUP`
    `static java.lang.String` | `CF_DYNAMIC`
    `static java.lang.String` | `CF_KEY`
    `static java.lang.String` | `CF_LOCATION`
    `static java.lang.String` | `CF_PROPERTIES`
    `static java.lang.String` | `CF_PROPERTIES_GROUP`
    `static java.lang.String` | `CF_READ_ONLY`
    `static java.lang.String` | `CF_SINGLE_WINDOW_MODE`
    `static java.lang.String` | `CF_SLAVES`
    `static java.lang.String` | `CF_SLAVES_CONTEXT`
    `static java.lang.String` | `CF_USE_DOCKABLE_FRAME`
    `static TableFormat` | `CFT_ADDITIONAL_ACTIONS`
    `static TableFormat` | `CFT_EDIT_PROPERTIES`
    `static TableFormat` | `CFT_SLAVES`
    `static java.lang.String` | `FIELD_PROPERTIES_PROPERTY`
    `static TableFormat` | `FT_PROPERTIES`
    `static java.lang.String` | `RF_EDIT_PROPERTIES_CHANGED_PROPERTIES`
    `static java.lang.String` | `RF_EDIT_PROPERTIES_RESULT`
    `static TableFormat` | `RFT_EDIT_PROPERTIES`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditProperties()`
    `EditProperties(java.lang.String title, DataTable parameters)`
    `EditProperties(java.lang.String title, java.lang.String contextName, java.util.List<java.lang.String> properties)`
    `EditProperties(java.lang.String title, java.lang.String contextName, java.lang.String propertiesGroup)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `DataTable` | `getAdditionalActions()`
    `java.lang.String` | `getContext()`
    `DashboardProperties` | `getDashboard()`
    `DashboardsHierarchyInfo` | `getDashboardsHierarchyInfo()`
    `java.lang.String` | `getDefaultGroup()`
    `java.lang.String` | `getKey()`
    `WindowLocation` | `getLocation()`
    `java.util.List<java.lang.String>` | `getProperties()`
    `java.lang.String` | `getPropertiesGroup()`
    `java.util.List<java.lang.String>` | `getSlaves()`
    `static java.util.List<Context>` | `getSlaves(GenericActionCommand cmd, Context base, CallerController caller)`
    `boolean` | `isAsync()`
    `boolean` | `isDynamic()`
    `boolean` | `isReadOnly()`
    `boolean` | `isSingleWindowMode()`
    `boolean` | `isUseDockableFrame()`
    `void` | `setAdditionalActions(DataTable additionalActions)`
    `void` | `setAsync(boolean async)`
    `void` | `setContext(java.lang.String contextName)`
    `void` | `setDashboard(DashboardProperties dashboard)`
    `void` | `setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)`
    `void` | `setDefaultGroup(java.lang.String group)`
    `void` | `setDynamic(boolean dynamic)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setLocation(WindowLocation location)`
    `void` | `setProperties(java.util.List<java.lang.String> properties)`
    `void` | `setPropertiesGroup(java.lang.String propertiesGroup)`
    `void` | `setReadOnly(boolean readOnly)`
    `void` | `setSingleWindowMode(boolean singleWindowMode)`
    `void` | `setSlaves(java.util.List<java.lang.String> slaves)`
    `void` | `setUseDockableFrame(boolean useDockableFrame)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_READ_ONLY

          public static final java.lang.String CF_READ_ONLY

      See Also:
        Constant Field Values

    - #### CF_DYNAMIC

          public static final java.lang.String CF_DYNAMIC

      See Also:
        Constant Field Values

    - #### CF_ASYNC

          public static final java.lang.String CF_ASYNC

      See Also:
        Constant Field Values

    - #### CF_USE_DOCKABLE_FRAME

          public static final java.lang.String CF_USE_DOCKABLE_FRAME

      See Also:
        Constant Field Values

    - #### CF_SINGLE_WINDOW_MODE

          public static final java.lang.String CF_SINGLE_WINDOW_MODE

      See Also:
        Constant Field Values

    - #### CF_CONTEXT

          public static final java.lang.String CF_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_SLAVES

          public static final java.lang.String CF_SLAVES

      See Also:
        Constant Field Values

    - #### CF_LOCATION

          public static final java.lang.String CF_LOCATION

      See Also:
        Constant Field Values

    - #### CF_DASHBOARD

          public static final java.lang.String CF_DASHBOARD

      See Also:
        Constant Field Values

    - #### CF_KEY

          public static final java.lang.String CF_KEY

      See Also:
        Constant Field Values

    - #### CF_DASHBOARDS_HIERARCHY_INFO

          public static final java.lang.String CF_DASHBOARDS_HIERARCHY_INFO

      See Also:
        Constant Field Values

    - #### CF_DEFAULT_GROUP

          public static final java.lang.String CF_DEFAULT_GROUP

      See Also:
        Constant Field Values

    - #### CF_ADDITIONAL_ACTIONS

          public static final java.lang.String CF_ADDITIONAL_ACTIONS

      See Also:
        Constant Field Values

    - #### CF_ADDITIONAL_ACTIONS_VARIABLE_NAME

          public static final java.lang.String CF_ADDITIONAL_ACTIONS_VARIABLE_NAME

      See Also:
        Constant Field Values

    - #### CF_ADDITIONAL_ACTIONS_ACTION_NAME

          public static final java.lang.String CF_ADDITIONAL_ACTIONS_ACTION_NAME

      See Also:
        Constant Field Values

    - #### CF_ADDITIONAL_ACTIONS_ICON

          public static final java.lang.String CF_ADDITIONAL_ACTIONS_ICON

      See Also:
        Constant Field Values

    - #### CF_ADDITIONAL_ACTIONS_DESCRIPTION

          public static final java.lang.String CF_ADDITIONAL_ACTIONS_DESCRIPTION

      See Also:
        Constant Field Values

    - #### CF_ADDITIONAL_ACTIONS_ACTION

          public static final java.lang.String CF_ADDITIONAL_ACTIONS_ACTION

      See Also:
        Constant Field Values

    - #### CF_PROPERTIES

          public static final java.lang.String CF_PROPERTIES

      See Also:
        Constant Field Values

    - #### CF_PROPERTIES_GROUP

          public static final java.lang.String CF_PROPERTIES_GROUP

      See Also:
        Constant Field Values

    - #### RF_EDIT_PROPERTIES_RESULT

          public static final java.lang.String RF_EDIT_PROPERTIES_RESULT

      See Also:
        Constant Field Values

    - #### RF_EDIT_PROPERTIES_CHANGED_PROPERTIES

          public static final java.lang.String RF_EDIT_PROPERTIES_CHANGED_PROPERTIES

      See Also:
        Constant Field Values

    - #### FIELD_PROPERTIES_PROPERTY

          public static final java.lang.String FIELD_PROPERTIES_PROPERTY

      See Also:
        Constant Field Values

    - #### CF_SLAVES_CONTEXT

          public static final java.lang.String CF_SLAVES_CONTEXT

      See Also:
        Constant Field Values

    - #### CFT_SLAVES

          public static final TableFormat CFT_SLAVES

    - #### FT_PROPERTIES

          public static final TableFormat FT_PROPERTIES

    - #### CFT_ADDITIONAL_ACTIONS

          public static final TableFormat CFT_ADDITIONAL_ACTIONS

    - #### CFT_EDIT_PROPERTIES

          public static final TableFormat CFT_EDIT_PROPERTIES

    - #### RFT_EDIT_PROPERTIES

          public static final TableFormat RFT_EDIT_PROPERTIES

  - ### Constructor Detail

    - #### EditProperties

          public EditProperties()

    - #### EditProperties

          public EditProperties(java.lang.String title,
                                java.lang.String contextName,
                                java.lang.String propertiesGroup)

    - #### EditProperties

          public EditProperties(java.lang.String title,
                                java.lang.String contextName,
                                java.util.List<java.lang.String> properties)

    - #### EditProperties

          public EditProperties(java.lang.String title,
                                DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getSlaves

          public static java.util.List<Context> getSlaves(GenericActionCommand cmd,
                                                          Context base,
                                                          CallerController caller)

    - #### getContext

          public java.lang.String getContext()

    - #### setContext

          public void setContext(java.lang.String contextName)

    - #### getPropertiesGroup

          public java.lang.String getPropertiesGroup()

    - #### setPropertiesGroup

          public void setPropertiesGroup(java.lang.String propertiesGroup)

    - #### getProperties

          public java.util.List<java.lang.String> getProperties()

    - #### setProperties

          public void setProperties(java.util.List<java.lang.String> properties)

    - #### getSlaves

          public java.util.List<java.lang.String> getSlaves()

    - #### setSlaves

          public void setSlaves(java.util.List<java.lang.String> slaves)

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public void setReadOnly(boolean readOnly)

    - #### isDynamic

          public boolean isDynamic()

    - #### setDynamic

          public void setDynamic(boolean dynamic)

    - #### isUseDockableFrame

          public boolean isUseDockableFrame()

    - #### setUseDockableFrame

          public void setUseDockableFrame(boolean useDockableFrame)

    - #### isSingleWindowMode

          public boolean isSingleWindowMode()

    - #### setSingleWindowMode

          public void setSingleWindowMode(boolean singleWindowMode)

    - #### isAsync

          public boolean isAsync()

    - #### setAsync

          public void setAsync(boolean async)

    - #### getLocation

          public WindowLocation getLocation()

    - #### setLocation

          public void setLocation(WindowLocation location)

    - #### getDashboard

          public DashboardProperties getDashboard()

    - #### setDashboard

          public void setDashboard(DashboardProperties dashboard)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getDashboardsHierarchyInfo

          public DashboardsHierarchyInfo getDashboardsHierarchyInfo()

    - #### setDashboardsHierarchyInfo

          public void setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)

    - #### getDefaultGroup

          public java.lang.String getDefaultGroup()

    - #### setDefaultGroup

          public void setDefaultGroup(java.lang.String group)

    - #### setAdditionalActions

          public void setAdditionalActions(DataTable additionalActions)

    - #### getAdditionalActions

          public DataTable getAdditionalActions()